fe=7980;
Te=1/fe;

// Construction du signal triangulaire x
f0=70;
N = 512
n=0:N-1;
t=n*Te;   // en s
n0 = fe/(2*f0);
x = zeros(1,ceil(N*f0/fe)*fe/f0);
x(1:n0+1) = -4*f0*t(1:(n0+1))+ones(1,n0+1);
x(n0+1:2*n0) = x(n0+1:-1:2);
for k=1:floor(N*f0/fe)
  x(1+k*fe/f0:(k+1)*fe/f0) = x(1:2*n0);
end
x = x(1:N);

// domaine frquentiel
X=fft(x,-1);
X=fftshift(X);

// visualisation 
xset("window",0);xbasc(); // selectionne (ou cre) la fenetre 0 et l'efface
subplot(211);plot2d(t(1:N),x(1:N));
xtitle("Reprsentation temporelle","t (s)")

// dnormalisation de la frquence 
fp=(-.5:1/N:.5-1/N)*(fe*0.001);   // en kHz
xset("window",0)
subplot(212);plot2d(fp,20*log10(abs(X/length(X)))) // NB : normalisation / NFFT
xtitle("Reprsentation frquentielle","f (kHz)")

