// pour effacer les fenetres de graphes
close all
// pour effacer les variables
clear all;
//***********************************************************

// gnration d'un signal sinusoidal de frquence :
fs=7500;  // Hz
fe=16000;
Te=1/fe;
N=64;
n=0:N-1; // n = vecteur de N points, de 0  N-1
t=n*Te;   // en s
xs=sin(2*%pi*fs*t);

// domaine frquentiel
Xs=fft(xs,-1);
Xs=fftshift(Xs);

// visualisation des 20 premiers points
xset("window",0);xbasc(); // selectionne (ou cre) la fenetre 0 et l'efface
subplot(211);plot2d(t(1:20),xs(1:20));
xtitle("Reprsentation temporelle","t (s)")

// dnormalisation de la frquence 
f=(-.5:1/N:.5-1/N)*(fe*0.001);   // en kHz
subplot(212);plot2d(f,20*log10(abs(Xs/length(Xs)))) // NB : normalisation / NFFT
xtitle("Reprsentation frquentielle (en dB)","f (kHz)")

